-- MySQL Administrator dump 1.4
--
-- ------------------------------------------------------
-- Server version	5.0.67-0ubuntu6


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*
DROP TABLE AutomaticAction;
DROP TABLE Criticity;
DROP TABLE Event;
DROP TABLE Groupe;
DROP TABLE Groupe_Privilege;
DROP TABLE Groupe_User;
DROP TABLE Host;
DROP TABLE Host_Groupe;
DROP TABLE Host_Service;
DROP TABLE Incident;
DROP TABLE Job;
DROP TABLE Job_Job;
DROP TABLE Job_Package;
DROP TABLE Job_Service;
DROP TABLE Measure;
DROP TABLE Message;
DROP TABLE Monitor_Average;
DROP TABLE Monitor_LimitValue;
DROP TABLE Package;
DROP TABLE Period;
DROP TABLE Privilege;
DROP TABLE Privilege_Criticity;
DROP TABLE Service_Service;
DROP TABLE Service;
DROP TABLE User;
DROP TABLE Week;
DROP TABLE command;
DROP TABLE hibernate_sequences;
DROP TABLE production;
*/
--
-- Definition of table  AutomaticAction 
--
CREATE TABLE  AutomaticAction  (
   action  bigint(20) NOT NULL,
   number  int(11) NOT NULL,
   command_id  bigint(20) default NULL,
   name  varchar(255) default NULL,
--   error_id  bigint(20) default NULL,
--   start_id  bigint(20) default NULL,
   CONSTRAINT PK_AutomaticAction PRIMARY KEY  ( action )

) TYPE=MyISAM;


--
-- Definition of table  Criticity
--
CREATE TABLE  Criticity  (
   level  int(11) NOT NULL,
   name  varchar(255) default NULL,
  CONSTRAINT PK_Criticity PRIMARY KEY  ( level ),
  UNIQUE KEY  level  ( level )
) TYPE=MyISAM;

--
-- Definition of table  Event
--
CREATE TABLE  Event  (
   id  bigint(20) NOT NULL,
   rised  datetime default NULL,
   incident_id  bigint(20) default NULL,
   message_id  bigint(20) default NULL,
	text text default NULL,
   CONSTRAINT PK_Event PRIMARY KEY  ( id ),
  KEY  idx_event_01  ( incident_id , message_id )
) TYPE=MyISAM;

--
-- Definition of table  Groupe
--
CREATE TABLE  Groupe  (
   id  bigint(20) NOT NULL,
   name  varchar(255) default NULL,
   CONSTRAINT PK_Groupe PRIMARY KEY  ( id ),
  UNIQUE KEY  id  ( id )
) TYPE=MyISAM;

--
-- Definition of table  Groupe_Privilege
--
CREATE TABLE  Groupe_Privilege  (
   groups_id  bigint(20) NOT NULL,
   privileges_level  int(11) NOT NULL,
 CONSTRAINT PK_Groupe_Privilege PRIMARY KEY (  groups_id,privileges_level )
) TYPE=MyISAM;


--
-- Definition of table  Groupe_User
--
CREATE TABLE  Groupe_User  (
   groups_id  bigint(20) NOT NULL,
   users_id  bigint(20) NOT NULL,
 CONSTRAINT PK_Groupe_User PRIMARY KEY (  groups_id, users_id )
) TYPE=MyISAM;

--
-- Definition of table  Host
--
CREATE TABLE  Host  (
   id  bigint(20) NOT NULL,
   hostName  varchar(255) NOT NULL,
   ip  varchar(255) NOT NULL,
   operatingSystem  varchar(255) default NULL,
   owner_id  bigint(20) default NULL,
   production_name  varchar(255) default NULL,
   CONSTRAINT PK_Host PRIMARY KEY  ( id ),
  UNIQUE KEY  id  ( id )
) TYPE=MyISAM;

--
-- Dumping data for table  Host
--


--
-- Definition of table  Host_Groupe
--
CREATE TABLE  Host_Groupe  (
   Hosts_id  bigint(20) NOT NULL,
   groups_id  bigint(20) NOT NULL,
CONSTRAINT PK_Host_Groupe PRIMARY KEY (  Hosts_id, groups_id )
) TYPE=MyISAM;

--
-- Dumping data for table  Host_Groupe
--


--
-- Definition of table  Host_Service
--
CREATE TABLE  Host_Service  (
   hosts_id  bigint(20) NOT NULL,
   services_id  bigint(20) NOT NULL,
CONSTRAINT PK_Host_Service PRIMARY KEY (  Hosts_id, services_id )
) TYPE=MyISAM;

--
-- Dumping data for table  Host_Service
--


--
-- Definition of table  Incident
--
CREATE TABLE  Incident  (
   id  bigint(20) NOT NULL,
   beginEvent_id  bigint(20) default NULL,
   control_id  bigint(20) default NULL,
   endEvent_id  bigint(20) default NULL,
   host_id  bigint(20) default NULL,
   monitor_id  bigint(20) default NULL,
   CONSTRAINT PK_Incident PRIMARY KEY  ( id ),
  UNIQUE KEY  id  ( id )

) TYPE=MyISAM;

--
-- Dumping data for table  Incident
--


--
-- Definition of table  Job
--
CREATE TABLE  Job  (
   jobType  varchar(31) NOT NULL,
   id  bigint(20) NOT NULL,
   name  varchar(255) default NULL,
   waitingPeriod  int(11) default NULL,
   higher  bit(1) default NULL,
   under  bit(1) default NULL,
   equal bit(1) default NULL,
   saveValues bit(1) default NULL,
   quantity  int(11) default NULL,
   value  int(11) default NULL,
   buffer  int(11) default NULL,
   fileSystem  varchar(255) default NULL,
   direction  bit(1) default NULL,
   filename  varchar(255) default NULL,
   number  int(11) default NULL,
   text  varchar(255) default NULL,
   processName  varchar(255) default NULL,
   schedule_id  int(11) default NULL,
   week_name  varchar(255) default NULL,
   alert_id  bigint(20) default NULL,
   automaticAction_action  bigint(20) default NULL,
   close_id  bigint(20) default NULL,
   criticity_level  int(11) default NULL,
   command_id  bigint(20) default NULL,
   CONSTRAINT PK_Job PRIMARY KEY  ( id ),
  UNIQUE KEY  id  ( id ),

  KEY  idx_job_01  ( name , alert_id , close_id , command_id , schedule_id )
) TYPE=MyISAM;

--
-- Dumping data for table  Job
--

--
-- Definition of table  Job_Job
--
CREATE TABLE  Job_Job  (
   limitValues_id  bigint(20) ,
   monitor_id  bigint(20) NOT NULL,
   averages_id  bigint(20) ,
CONSTRAINT PK_Job_Job PRIMARY KEY (  limitValues_id, monitor_id,  averages_id)
) TYPE=MyISAM;

--
-- Dumping data for table  Job_Job
--


--
-- Definition of table  Job_Package
--
CREATE TABLE  Job_Package  (
   deployements_id  bigint(20) NOT NULL,
   packages_id  bigint(20) NOT NULL,
CONSTRAINT PK_Job_Package PRIMARY KEY (  deployements_id, packages_id)
) TYPE=MyISAM;

--
-- Dumping data for table  Job_Package
--

--
-- Definition of table  Job_Service
--
CREATE TABLE  Job_Service  (
   jobs_id  bigint(20) NOT NULL,
   services_id  bigint(20) NOT NULL,
CONSTRAINT PK_Job_Service PRIMARY KEY (  jobs_id, services_id)
) TYPE=MyISAM;

--
-- Dumping data for table  Job_Service
--




--
-- Definition of table  Measure
--
CREATE TABLE  Measure  (
   id  bigint(20) NOT NULL,
   date  datetime default NULL,
   value  int(11) NOT NULL,
   host_id  bigint(20) default NULL,
   monitor_id  bigint(20) default NULL,
   CONSTRAINT PK_Measure PRIMARY KEY  ( id ),
  UNIQUE KEY  id  ( id )
) TYPE=MyISAM;

--
-- Dumping data for table  Measure
--



--
-- Definition of table  Message
--
CREATE TABLE  Message  (
   id  bigint(20) NOT NULL,
   EmailBody  varchar(255) default NULL,
   EmailSubject  varchar(255) default NULL,
   Message  varchar(255) default NULL,
  CONSTRAINT PK_Message  PRIMARY KEY  ( id ),
  UNIQUE KEY  id  ( id )
) TYPE=MyISAM;

--
-- Dumping data for table  Message
--



--
-- Definition of table  Monitor_Average
--
CREATE TABLE  Monitor_Average  (
   Job_id  bigint(20) NOT NULL,
   averages_id  bigint(20) NOT NULL,
CONSTRAINT PK_Monitor_Average PRIMARY KEY (  Job_id, averages_id)

) TYPE=MyISAM;

--
-- Dumping data for table  Monitor_Average
--


--
-- Definition of table  Monitor_LimitValue
--
CREATE TABLE  Monitor_LimitValue  (
   Job_id  bigint(20) NOT NULL,
   limitValues_id  bigint(20) NOT NULL,
CONSTRAINT PK_Monitor_LimitValue PRIMARY KEY (  Job_id, limitValues_id)
) TYPE=MyISAM;

--
-- Dumping data for table  Monitor_LimitValue
--

--
-- Definition of table  Package
--
CREATE TABLE  Package  (
   id  bigint(20) NOT NULL,
   directory  varchar(255) default NULL,
   name  varchar(255) default NULL,
   sha1Sum  varchar(255) default NULL,
   url  varchar(255) default NULL,
   command_id  bigint(20) default NULL,
   CONSTRAINT PK_Package PRIMARY KEY  ( id ),
  UNIQUE KEY  id  ( id )
) TYPE=MyISAM;

--
-- Dumping data for table  Package
--

--
-- Definition of table  Period
--
CREATE TABLE  Period  (
   periodType  varchar(31) NOT NULL,
   id  int(11) NOT NULL,
   day  int(11) default NULL,
   hour  int(11) default NULL,
   minute  int(11) NOT NULL,
   month  int(11) default NULL,
   name  varchar(255) default NULL,
   year  int(11) default NULL,
   CONSTRAINT PK_Period PRIMARY KEY  ( id )
) TYPE=MyISAM;

--
-- Dumping data for table  Period
--


--
-- Definition of table  Privilege
--
CREATE TABLE  Privilege  (
   level  int(11) NOT NULL,
   name  varchar(255) NOT NULL,
   CONSTRAINT PK_Privilege PRIMARY KEY  ( level )
) TYPE=MyISAM;

--
-- Dumping data for table  Privilege
--

--
-- Definition of table  Privilege_Criticity
--
CREATE TABLE  Privilege_Criticity  (
   privileges_level  int(11) NOT NULL,
   criticities_level  int(11) NOT NULL,
CONSTRAINT PK_Privilege_Criticity PRIMARY KEY (   privileges_level, criticities_level)
) TYPE=MyISAM;

--
-- Dumping data for table  Privilege_Criticity
--

--
-- Definition of table  Service
--
CREATE TABLE  Service  (
   id  bigint(20) NOT NULL,
   description  varchar(255) default NULL,
   name  varchar(255) default NULL,
   production_name  varchar(255) default NULL,
  CONSTRAINT PK_Service  PRIMARY KEY  ( id ),
  UNIQUE KEY  id  ( id )

) TYPE=MyISAM;

--
-- Dumping data for table  Service
--


--
-- Definition of table  Service_Service
--
CREATE TABLE  Service_Service  (
   fathers_id  bigint(20) NOT NULL,
   sons_id  bigint(20) NOT NULL,
CONSTRAINT PK_Service_Service PRIMARY KEY (   fathers_id,  sons_id)
) TYPE=MyISAM;

--
-- Dumping data for table  Service_Service
--

--
-- Definition of table  User
--
CREATE TABLE  User  (
   id  bigint(20) NOT NULL ,
   email  varchar(255) NOT NULL,
   name  varchar(255) default NULL,
   user  varchar(10) default NULL,
   locale varchar(10) default NULL,
  -- CONSTRAINT PK_AutomaticAction PRIMARY KEY  ( id ),
 UNIQUE KEY  id  ( id ),
  UNIQUE KEY  email  ( email )
) TYPE=MyISAM;

--
-- Dumping data for table  User
--

--
-- Definition of table  Week
--
CREATE TABLE  Week  (
   name  varchar(255) NOT NULL,
   friday  boolean NOT NULL,
   monday  boolean NOT NULL,
   saturday  boolean NOT NULL,
   sunday  boolean NOT NULL,
   thursday  boolean NOT NULL,
   tuesday  boolean NOT NULL,
   wednesday  boolean NOT NULL,
   CONSTRAINT PK_Week PRIMARY KEY  ( name ),
  UNIQUE KEY  name  ( name )
) TYPE=MyISAM;

--
-- Dumping data for table  Week
--

--
-- Definition of table  command
--
CREATE TABLE  command  (
   id  bigint(20) NOT NULL,
   command  varchar(255) default NULL,
   directory  varchar(255) default NULL,
   errorCode  varchar(255) default NULL,
   pack_id  bigint(20) default NULL,
   CONSTRAINT PK_command PRIMARY KEY  ( id ),
  UNIQUE KEY  id  ( id )
) TYPE=MyISAM;

--
-- Dumping data for table  command
--

--
-- Definition of table  hibernate_sequences
--
CREATE TABLE  hibernate_sequences  (
   sequence_name  varchar(255) default NULL,
   sequence_next_hi_value  int(11) default NULL
) TYPE=MyISAM;

--
-- Dumping data for table  hibernate_sequences
--

--
-- Definition of table  production
--
CREATE TABLE  production  (
   name  varchar(255) NOT NULL,
   endding_id  int(11) default NULL,
   starting_id  int(11) default NULL,
   week_name  varchar(255) default NULL,
   CONSTRAINT PK_production PRIMARY KEY  ( name ),
  UNIQUE KEY  name  ( name )
) TYPE=MyISAM;

--
-- Dumping data for table  production
--


ALTER TABLE Host ADD CONSTRAINT FK_owner_id FOREIGN  KEY  ( owner_id ) REFERENCES USER (id);
ALTER TABLE Host ADD CONSTRAINT FK_product_name FOREIGN  KEY (production_name) REFERENCES USER (id);

ALTER TABLE production ADD CONSTRAINT FK_starting_id FOREIGN  KEY (starting_id ) REFERENCES Period (id);
ALTER TABLE production ADD CONSTRAINT FK_endding_id FOREIGN  KEY (endding_id ) REFERENCES Period (id);
ALTER TABLE production ADD CONSTRAINT FK_week_name FOREIGN  KEY ( week_name) REFERENCES Week (name);

ALTER TABLE command ADD CONSTRAINT FK_pack_id FOREIGN KEY ( pack_id) REFERENCES Package (id);

ALTER TABLE Service_Service ADD CONSTRAINT FK_fathers_id FOREIGN KEY (fathers_id) REFERENCES  Service (id);
ALTER TABLE Service_Service ADD CONSTRAINT FK_sons_id FOREIGN KEY (sons_id) REFERENCES  Service(id);

ALTER TABLE Service ADD CONSTRAINT FK_production_name FOREIGN KEY (production_name) REFERENCES Production(name);

ALTER TABLE Privilege_Criticity ADD CONSTRAINT FK_privileges_level FOREIGN KEY (privileges_level) REFERENCES Privilege(level);
ALTER TABLE Privilege_Criticity ADD CONSTRAINT FK_criticities_level FOREIGN KEY (criticities_level) REFERENCES Criticity(level);

ALTER TABLE Package ADD CONSTRAINT FK_command_id FOREIGN KEY ( command_id) REFERENCES command(id);

ALTER TABLE command ADD CONSTRAINT FK_pack_id FOREIGN KEY (pack_id) REFERENCES Package(id);

ALTER TABLE Monitor_LimitValue ADD CONSTRAINT FK_Job_id FOREIGN KEY (Job_id) REFERENCES Job(id);
ALTER TABLE Monitor_LimitValue ADD CONSTRAINT FK_limitValues_id FOREIGN KEY (limitValues_id) REFERENCES Job(id);

ALTER TABLE Monitor_Average ADD CONSTRAINT FK_averages_id FOREIGN KEY (averages_id) REFERENCES Job(id);
ALTER TABLE Monitor_Average ADD CONSTRAINT FK_Job_id FOREIGN KEY (Job_id) REFERENCES Job(id);

ALTER TABLE Measure ADD CONSTRAINT FK_host_id FOREIGN KEY (host_id) REFERENCES host(id);
ALTER TABLE Measure ADD CONSTRAINT FK_monitor_id FOREIGN KEY (monitor_id) REFERENCES Job(id);

ALTER TABLE Job_Service ADD CONSTRAINT FK_jobs_id FOREIGN KEY (jobs_id) REFERENCES Job(id);
ALTER TABLE Job_Service ADD CONSTRAINT FK_services_id FOREIGN KEY (services_id) REFERENCES Service(id);

ALTER TABLE Groupe_User ADD CONSTRAINT FK_groups_id FOREIGN KEY (groups_id) REFERENCES Groupe(id);
ALTER TABLE Groupe_User ADD CONSTRAINT FK_users_id FOREIGN KEY ( users_id) REFERENCES User(id);


ALTER TABLE Groupe_User ADD CONSTRAINT FK_groups_id FOREIGN KEY (groups_id) REFERENCES Groupe(id);
ALTER TABLE Groupe_User ADD CONSTRAINT FK_users_id FOREIGN KEY ( users_id) REFERENCES User(id);


ALTER TABLE Groupe_Privilege ADD CONSTRAINT FK_groups_id FOREIGN KEY (groups_id) REFERENCES Groupe(id);
ALTER TABLE Groupe_Privilege ADD CONSTRAINT FK_privileges_level  FOREIGN KEY (privileges_level ) REFERENCES Privilege(level);

ALTER TABLE Host_Groupe ADD CONSTRAINT FK_groups_id FOREIGN KEY ( groups_id) REFERENCES Groupe(id);
ALTER TABLE Host_Groupe ADD CONSTRAINT FK_Hosts_id FOREIGN KEY ( Hosts_id) REFERENCES Host(id);


ALTER TABLE Incident ADD CONSTRAINT FK_host_id FOREIGN KEY ( host_id) REFERENCES Host(id);
ALTER TABLE Incident ADD CONSTRAINT FK_monitor_id FOREIGN KEY (monitor_id) REFERENCES Job(id);
ALTER TABLE Incident ADD CONSTRAINT FK_control_id FOREIGN KEY (control_id) REFERENCES Job(id);
ALTER TABLE Incident ADD CONSTRAINT FK_beginEvent_id FOREIGN KEY (beginEvent_id) REFERENCES Event(id);
ALTER TABLE Incident ADD CONSTRAINT FK_endEvent_id FOREIGN KEY (endEvent_id) REFERENCES Event(id);

ALTER TABLE Event ADD CONSTRAINT FK_message_id FOREIGN KEY (message_id) REFERENCES Message(id);
ALTER TABLE Event ADD CONSTRAINT FK_incident_id FOREIGN KEY (incident_id) REFERENCES Incident(id);

/*--ALTER TABLE AutomaticAction ADD CONSTRAINT FK_start_id FOREIGN KEY (start_id) REFERENCES Message(id);
--ALTER TABLE AutomaticAction ADD CONSTRAINT FK_error_id FOREIGN KEY (error_id) REFERENCES Message(id);
*/
ALTER TABLE AutomaticAction ADD CONSTRAINT FK_command_id FOREIGN KEY (command_id) REFERENCES command(id);

ALTER TABLE Job ADD CONSTRAINT FK_week_name FOREIGN KEY (week_name) REFERENCES week(name);
ALTER TABLE Job ADD CONSTRAINT FK_criticity_level  FOREIGN KEY (criticity_level ) REFERENCES criticity(level);
ALTER TABLE Job ADD CONSTRAINT FK_automaticAction_action FOREIGN KEY (automaticAction_action) REFERENCES automaticAction_action(id);
ALTER TABLE Job ADD CONSTRAINT FK_schedule_id FOREIGN KEY (schedule_id) REFERENCES week(id);

ALTER TABLE Job ADD CONSTRAINT FK_close_id FOREIGN KEY (close_id) REFERENCES command(id);
ALTER TABLE Job ADD CONSTRAINT FK_alert_id FOREIGN KEY (alert_id) REFERENCES command(id);
ALTER TABLE Job ADD CONSTRAINT FK_command_id FOREIGN KEY (command_id) REFERENCES command(id);

ALTER TABLE Host_Service ADD CONSTRAINT FK_hosts_id FOREIGN KEY (hosts_id) REFERENCES Host(id);
ALTER TABLE Host_Service ADD CONSTRAINT FK_services_id FOREIGN KEY (services_id) REFERENCES Service(id);


ALTER TABLE Job_Package ADD CONSTRAINT FK_deployements_id FOREIGN KEY (deployements_id) REFERENCES Job(id);
ALTER TABLE Job_Package ADD CONSTRAINT FK_packages_id FOREIGN KEY (packages_id) REFERENCES Package(id);

ALTER TABLE Job_Job ADD CONSTRAINT FK_averages_id FOREIGN KEY (averages_id) REFERENCES Job(id);
ALTER TABLE Job_Job ADD CONSTRAINT FK_monitor_id FOREIGN KEY (monitor_id) REFERENCES Job(id);
ALTER TABLE Job_Job ADD CONSTRAINT FK_limitValues_id FOREIGN KEY (limitValues_id) REFERENCES Job(id);

#Nettoyage des liens
DELETE FROM  Monitor_Average;
DELETE FROM  Monitor_LimitValue;
DELETE FROM  Job_Service;

DELETE FROM  Job;
DELETE FROM  Period;
DELETE FROM  Service;


#Ajout des relations entre entités
INSERT INTO  Period (periodType, id, day, hour, minute, month, name, year) VALUES ('Period', 1, 0, 0, 1, 0, 'period.minute.one', 0);
INSERT INTO  Period (periodType, id, day, hour, minute, month, name, year) VALUES ('Period', 2, 0, 1, 0, 0, 'period.hour.one', 0);
INSERT INTO  Period (periodType, id, day, hour, minute, month, name, year) VALUES ('Period', 3, 1, 0, 0, 0, 'period.day.one', 0);
INSERT INTO  Period (periodType, id, day, hour, minute, month, name, year) VALUES ('Period', 4, 0, 0, 0, 1, 'period.month.one', 0);
INSERT INTO  Period (periodType, id, day, hour, minute, month, name, year) VALUES ('Period', 5, 0, 0, 0, 0, 'period.year.one', 1);
INSERT INTO Period (id,periodType,name,year,month,day,hour,minute)values(12,'Period','Tous les deux jours.',0,0,2,0,0);
INSERT INTO Period (id,periodType,name,year,month,day,hour,minute)values(13,'Period','Tous les trois jours.',0,0,3,0,0);
INSERT INTO Period (id,periodType,name,year,month,day,hour,minute)values(14,'Period','Tous les quatre jours.',0,0,4,0,0);
INSERT INTO Period (id,periodType,name,year,month,day,hour,minute)values(15,'Period','Tous les cinq jours.',0,0,5,0,0);
INSERT INTO Period (id,periodType,name,year,month,day,hour,minute)values(16,'Period','Tous les six jours.',0,0,6,0,0);
INSERT INTO Period (id,periodType,name,year,month,day,hour,minute)values(17,'Period','Toutes les semaines.',0,0,7,0,0);
INSERT INTO Period (id,periodType,name,year,month,day,hour,minute)values(18,'Period','Toutes les deux semaines.',0,0,14,0,0);

INSERT INTO Period(id,periodType,name,year,month,day,hour,minute)values(19,'Period','Tous les deux heures.',0,0,0,2,0);
INSERT INTO Period(id,periodType,name,year,month,day,hour,minute)values(20,'Period','Tous les trois heures.',0,0,0,3,0);
INSERT INTO Period(id,periodType,name,year,month,day,hour,minute)values(21,'Period','Tous les quatre heures.',0,0,0,4,0);
INSERT INTO Period(id,periodType,name,year,month,day,hour,minute)values(22,'Period','Tous les six heures.',0,0,0,6,0);
INSERT INTO Period(id,periodType,name,year,month,day,hour,minute)values(23,'Period','Tous les huit heures.',0,0,0,8,0);
INSERT INTO Period(id,periodType,name,year,month,day,hour,minute)values(24,'Period','Tous les douze heures.',0,0,0,12,0);
INSERT INTO Period(id,periodType,name,year,month,day,hour,minute)values(25,'Period','Tous les dix-huit heures.',0,0,0,18,0);

#Service :
INSERT INTO  Service (id, description, name, production_name) VALUES (1, 'WinCDM', 'CDM pour Windows', NULL);
INSERT INTO  Service (id, description, name, production_name) VALUES (2, 'GnuCDM', 'CDM pour linux', NULL);
INSERT INTO  Service (id, description, name, production_name) VALUES (3, 'Update control list hourly', 'Mise à jour automatisée toutes les heures', NULL);
INSERT INTO  Service (id, description, name, production_name) VALUES (4, 'Update control list daily', 'Mise à jour automatisée tous les jours', NULL);
#Préinsertion de jobs


#CMD
INSERT INTO  Job (jobType,id,name,schedule_id,buffer,saveValues) VALUES("Cpu",1,"job.cpu.name",1,0,true);
INSERT INTO  Job (jobType,id,name,schedule_id,buffer,saveValues) VALUES("Memory",2,"job.memory.name",1,0,true);
INSERT INTO  Job (jobType,id,name,schedule_id,fileSystem,buffer,saveValues) VALUES("FileSystem",3,"job.fsys.name.root",1,"/",0,true);
INSERT INTO  Job (jobType,id,name,schedule_id,fileSystem,buffer,saveValues) VALUES("FileSystem",4,"job.fsys.name.home",1,"/home",0,true);
INSERT INTO  Job (jobType,id,name,schedule_id,fileSystem,buffer,saveValues) VALUES("FileSystem",5,"job.fsys.name.c",1,"c",0,true);
INSERT INTO  Job (jobType,id,name,schedule_id,fileSystem,buffer,saveValues) VALUES("FileSystem",6,"job.fsys.name.d",1,"d",0,true);

#Limites :
INSERT INTO  Job (jobType, id, name, value,buffer,higher,under,equal) VALUES("LimitValue",7,"job.limit.80",80,0,true,false,false);
INSERT INTO  Job (jobType, id, name, value,buffer,higher,under,equal) VALUES("LimitValue",8,"job.limit.90",90,0,true,false,false);

#Averages :
INSERT INTO  Job (jobType, id, name, value,quantity,buffer,higher,under,equal) VALUES("Average",9,"job.average.80",80,90,0,true,false,false);
INSERT INTO  Job (jobType, id, name, value,quantity,buffer,higher,under,equal) VALUES("Average",10,"job.average.90",90,90,0,true,false,false);

INSERT INTO  Job (jobType,id,name,schedule_id,buffer) VALUES("UpdateJobs",11,"job.updatejobs.name.hourly",2,0);
INSERT INTO  Job (jobType,id,name,schedule_id,buffer) VALUES("UpdateJobs",12,"job.updatejobs.name.daily",3,0);

#Génération de jobs
#Moyennes uniquement sur les cpu et mémoires
INSERT INTO  Monitor_Average (Job_id,averages_id) VALUES (1,9);
INSERT INTO  Monitor_Average (Job_id,averages_id) VALUES (1,10);
INSERT INTO  Monitor_Average (Job_id,averages_id) VALUES (2,9);
INSERT INTO  Monitor_Average (Job_id,averages_id) VALUES (2,10);

INSERT INTO  Monitor_LimitValue (Job_id,limitValues_id) VALUES (3,7);
INSERT INTO  Monitor_LimitValue (Job_id,limitValues_id) VALUES (3,8);
INSERT INTO  Monitor_LimitValue (Job_id,limitValues_id) VALUES (4,7);
INSERT INTO  Monitor_LimitValue (Job_id,limitValues_id) VALUES (4,8);
INSERT INTO  Monitor_LimitValue (Job_id,limitValues_id) VALUES (5,7);
INSERT INTO  Monitor_LimitValue (Job_id,limitValues_id) VALUES (5,8);
INSERT INTO  Monitor_LimitValue (Job_id,limitValues_id) VALUES (6,7);
INSERT INTO  Monitor_LimitValue (Job_id,limitValues_id) VALUES (6,8);

#Création des services CDM
#Windows
INSERT INTO  Job_Service (services_id,jobs_id)VALUES (1,1);
INSERT INTO  Job_Service (services_id,jobs_id)VALUES (1,2);
INSERT INTO  Job_Service (services_id,jobs_id)VALUES (1,5);
#Linux
INSERT INTO  Job_Service (services_id,jobs_id)VALUES (2,1);
INSERT INTO  Job_Service (services_id,jobs_id)VALUES (2,2);
INSERT INTO  Job_Service (services_id,jobs_id)VALUES (2,3);

#Mises à jour
INSERT INTO  Job_Service (services_id,jobs_id)VALUES (3,11);
INSERT INTO  Job_Service (services_id,jobs_id)VALUES (4,12);
INSERT INTO Criticity (level,name) VALUES
(100,'criticity.debug'),	(200,'criticity.info'),
(300,'criticity.notice'),	(400,'criticity.warning'),
(500,'criticity.error'),	(600,'criticity.critic'),
(700,'criticity.alert'),	(800,'criticity.emergency');

UPDATE Job 
	SET criticity_level=400 
	WHERE (jobType='Average' OR jobType='LimitValue') AND criticity_level=NULL;


ALTER TABLE `AutomaticAction` 	CHANGE `action` `action` BIGINT( 20 ) NOT NULL AUTO_INCREMENT;
ALTER TABLE `command`	CHANGE `id` `id` BIGINT( 20 ) NOT NULL AUTO_INCREMENT;
ALTER TABLE `Event` 	CHANGE `id` `id` BIGINT( 20 ) NOT NULL AUTO_INCREMENT;
ALTER TABLE `Groupe` 	CHANGE `id` `id` BIGINT( 20 ) NOT NULL AUTO_INCREMENT;
ALTER TABLE `Host` 	CHANGE `id` `id` BIGINT( 20 ) NOT NULL AUTO_INCREMENT;
ALTER TABLE `Incident`	CHANGE `id` `id` BIGINT( 20 ) NOT NULL AUTO_INCREMENT;
ALTER TABLE `Job` 	CHANGE `id` `id` BIGINT( 20 ) NOT NULL AUTO_INCREMENT;
ALTER TABLE `Measure` 	CHANGE `id` `id` BIGINT( 20 ) NOT NULL AUTO_INCREMENT;
ALTER TABLE `Message` 	CHANGE `id` `id` BIGINT( 20 ) NOT NULL AUTO_INCREMENT;
ALTER TABLE `Package` 	CHANGE `id` `id` BIGINT( 20 ) NOT NULL AUTO_INCREMENT;
ALTER TABLE `Period` 	CHANGE `id` `id` BIGINT( 20 ) NOT NULL AUTO_INCREMENT;
ALTER TABLE `Service` 	CHANGE `id` `id` BIGINT( 20 ) NOT NULL AUTO_INCREMENT;
ALTER TABLE `User` 	CHANGE `id` `id` BIGINT( 20 ) NOT NULL AUTO_INCREMENT;


